com.io7m.r2.core.shaders.types

## Interface R2ShaderLightProjectiveWithShadowType<M extends R2LightProjectiveWithShadowReadableType>

- Type Parameters:
    `M` - The type of shader parameters
  All Superinterfaces:
    com.io7m.jcanephora.core.JCGLResourceUsableType, R2DeletableType, R2ShaderLightProjectiveUsableType<M>, R2ShaderLightProjectiveWithShadowUsableType<M>, R2ShaderLightSingleUsableType<M>, R2ShaderLightVolumeSingleType<M>, R2ShaderLightVolumeSingleUsableType<M>, R2ShaderType<M>, R2ShaderUsableType<M>
  All Known Implementing Classes:
    R2LightShaderProjectiveLambertBlinnPhongShadowVarianceSingle, R2LightShaderProjectiveLambertShadowVarianceSingle, R2ShaderLightProjectiveWithShadowVerifier

      public interface R2ShaderLightProjectiveWithShadowType<M extends R2LightProjectiveWithShadowReadableType>
      extends R2ShaderLightProjectiveWithShadowUsableType<M>, R2ShaderLightVolumeSingleType<M>

  The type of single-instance projective light shaders with shadows.

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderLightProjectiveWithShadowUsableType

      `onReceiveShadowMap`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderLightProjectiveUsableType

      `onReceiveProjectiveLight`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderLightVolumeSingleUsableType

      `onReceiveVolumeLightTransform`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderLightSingleUsableType

      `onReceiveBoundGeometryBufferTextures, onReceiveValues`

    - ### Methods inherited from interface com.io7m.r2.core.shaders.types.R2ShaderUsableType

      `onActivate, onDeactivate, onValidate, shaderID, shaderParametersType, shaderProgram`

    - ### Methods inherited from interface com.io7m.jcanephora.core.JCGLResourceUsableType

      `isDeleted`

    - ### Methods inherited from interface com.io7m.r2.core.R2DeletableType

      `delete`

Copyright © 2016 <code@io7m.com> http://io7m.com